HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

lvlnboot: Unable to configure swap logical volume.

 
Norbert Binder
Occasional Contributor

lvlnboot: Unable to configure swap logical volume.

Hi all,

I want to setup a new virtual partition with a network ignite install and recieve the error message below.

The server is an RP8400 with HPUX 11.11, 6 CPU and 8GB RAM, which is devided into 4GB for each virtual partition.
I setup 1 virtual partition which is accessing the internal disk and works fine.
Now I want to install a 2nd virtual partition on this server with san boot.

I checked in internet some articels regarding this error message and therefore I have tried the swap size with 512, 2048, 4096 and 8192, but always got the same result.

The FC card is a HP AD193-60001 PCI/PCI-X Fibre Channel 1-port 4Gb FC/1-port 1000B-T Combo Adapter (FC Port 1)

The firmware should be the lastet for a 11.11 server.


Thanks and regards
Norbert


x ./etc/group, 184 bytes, 1 tape blocks
x ./etc/passwd, 332 bytes, 1 tape blocks
x ./etc/magic, 8794 bytes, 18 tape blocks
x ./etc/hosts, 486 bytes, 1 tape blocks
x ./etc/services, 10908 bytes, 22 tape blocks
x ./etc/inetsvcs.conf, 15 bytes, 1 tape blocks
x ./etc/nsswitch.conf, 382 bytes, 1 tape blocks
x ./configure3, 1548288 bytes, 3024 tape blocks
x ./monitor_bpr, 1335296 bytes, 2608 tape blocks
* Download_mini-system: Complete
* Loading_software: Begin
* Installing boot area on disk.
lvlnboot: Unable to configure swap logical volume.
Swap logical volume size beyond the IODC max address.
ERROR: Command "/sbin/lvlnboot -A n -s /dev/vg00/lvol2" failed.

The configuration process has incurred an error, would you like to push a shell for debugging purposes? (y/[n]):
6 REPLIES
Steven E. Protter
Exalted Contributor

Re: lvlnboot: Unable to configure swap logical volume.

Shalom,

push the shell, lets see the installation/boot logs.

If there is a spare internal disk on the system you might want to try that as a boot disk.

Check the system firmware, there are minimum requirements for SAN based boot.

The type of SAN infrastructure can also make a difference. Has the LUN been assigned to the WWN of the HBA Fibre card?

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
James R. Ferguson
Acclaimed Contributor

Re: lvlnboot: Unable to configure swap logical volume.

Hi:

The key error is "Swap logical volume size beyond the IODC max address".

This occurs on older host bus adapters. Since you have tried small swap sizes, you should validate that your system firmware is at the most recent level and/or see if a newer host adapter could be used.

Regards!

...JRF...

Re: lvlnboot: Unable to configure swap logical volume.

JRF beat me to the punch there - did you actually check that the card (AD193A) is supported with your server?

The error message usually means that the IODC doesn't "trust" the card it is booting through - it *might* still work if you can keep the whole of swap below the 2GB mark on the system, but given that swap is usually lvol2 and lvol1 the boot partition is usually only a few 100 MB, and you already tried with swap sizes of < 1.5GB maybe not... (you didn't configure a stupidly big lvol1 for /stand did you?)

If this system is *really* a rp8400 and not a rp8420 or rp8440, you may be out of luck as I *do not* see it listed as supported in the support matrices here:

http://docs.hp.com/en/FCN-SM/FCN-SM.htm

which suggests that the IODC has never been updated to support this card.

HTH

Duncan

HTH

Duncan
Norbert Binder
Occasional Contributor

Re: lvlnboot: Unable to configure swap logical volume.

The system firmware should be the latest, a hp technican did that 2 weeks ago.
But in my point of view the firmware of the fc adapter is not the latest, we have 4.0.22 and in the support matrix stand 4.0.90

The lun is zoned via wwn and is accessible, when i move the io path to the first vpar.

Are your sure that the linked support matrix show every fibre channel card? Because we have also other fc cards built in which are A6795A and i want to to verify that these are supported.

Re: lvlnboot: Unable to configure swap logical volume.

>Are your sure that the linked support matrix
>show every fibre channel card? Because we
>have also other fc cards built in which are
>A6795A and i want to to verify that these
>are supported.

No it doesn't show every FC card - that particular matrix shows cards that are OEM'd by HP from Qlogic and Emulex - the A6795A is an older card, which came from somewhere else (can't remember where - maybe Agilent??) and used a different driver. The support matrix for that A6795A card is here:

http://docs.hp.com/en/10260/FCI-SM-td3.htm

And as you will see, that card *is* supported on the rp8400 as long as you have PDC 17.006

HTH

Duncan

HTH

Duncan

Re: lvlnboot: Unable to configure swap logical volume.

... and I don't think updating the cards firmware is going to help you if its simply not supported in that server model.

HTH

Duncan

HTH

Duncan